typedef float ( min = 1, max = 50 ) TItemsCount; typedef float (
min = 1, max = 50 ) TItemsTotal; typedef string ( values = { "true", "false" }
) TShipComplete; typedef tuple ( element = { { }, {
}, TItemsCount, TItemsTotal, TShipComplete } ) TShipOrder; TShipOrder
shipOrder;